Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.log
Class LogEvent

    java.lang.Object
      org.jivesoftware.util.log.LogEvent

All Implemented Interfaces:
  Serializable

    public final class LogEvent

extends Object
implements Serializable

This class encapsulates each individual log event. LogEvents usually originate at a Logger and are routed to LogTargets.

Author:
  Peter Donald
See Also:
  Serialized Form

Constructor Summary
`LogEvent()`

Method Summary
`String` | `getCategory()` Get the category that LogEvent relates to.
`ContextMap` | `getContextMap()` Get ContextMap associated with LogEvent
`String` | `getMessage()` Get the message associated with event.
`Priority` | `getPriority()` Get Priority for LogEvent.
`long` | `getRelativeTime()` Get the time of the log event relative to start of application.
`Throwable` | `getThrowable()` Get throwabe instance associated with event.
`long` | `getTime()` Get the absolute time of the log event.
`void` | `setCategory(String category)` Set the LogEvent category.
`void` | `setContextMap(ContextMap contextMap)` Set the ContextMap for this LogEvent.
`void` | `setMessage(String message)` Set the message for LogEvent.
`void` | `setPriority(Priority priority)` Set the priority of LogEvent.
`void` | `setThrowable(Throwable throwable)` Set the throwable for LogEvent.
`void` | `setTime(long time)` Set the absolute time of LogEvent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogEvent

    public LogEvent()

Method Detail

### getPriority

    public final Priority getPriority()

  Get Priority for LogEvent.

  Returns:
    the LogEvent Priority

### setPriority

    public final void setPriority(Priority priority)

  Set the priority of LogEvent.

  Parameters:
    `priority` - the new LogEvent priority

### getContextMap

    public final ContextMap getContextMap()

  Get ContextMap associated with LogEvent

  Returns:
    the ContextMap

### setContextMap

    public final void setContextMap(ContextMap contextMap)

  Set the ContextMap for this LogEvent.

  Parameters:
    `contextMap` - the context map

### getCategory

    public final String getCategory()

  Get the category that LogEvent relates to.

  Returns:
    the name of category

### getMessage

    public final String getMessage()

  Get the message associated with event.

  Returns:
    the message

### getThrowable

    public final Throwable getThrowable()

  Get throwabe instance associated with event.

  Returns:
    the Throwable

### getTime

    public final long getTime()

  Get the absolute time of the log event.

  Returns:
    the absolute time

### getRelativeTime

    public final long getRelativeTime()

  Get the time of the log event relative to start of application.

  Returns:
    the time

### setCategory

    public final void setCategory(String category)

  Set the LogEvent category.

  Parameters:
    `category` - the category

### setMessage

    public final void setMessage(String message)

  Set the message for LogEvent.

  Parameters:
    `message` - the message

### setThrowable

    public final void setThrowable(Throwable throwable)

  Set the throwable for LogEvent.

  Parameters:
    `throwable` - the instance of Throwable

### setTime

    public final void setTime(long time)

  Set the absolute time of LogEvent.

  Parameters:
    `time` - the time

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.